Name:           lib3ds
Version:        1.2.0
Release:        11%{?dist}

Summary:        3D Studio file format library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://lib3ds.sourceforge.net
Source:         http://dl.sf.net/lib3ds/lib3ds-%{version}.tar.gz
Patch0:         lib3ds-1.2.0.diff
Patch1:         lib3ds-cvs-20060105.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
lib3ds is a free ANSI-C library for working with the popular "3ds" 3D model
format.

Supported platforms include GNU (autoconf, automake, libtool, make, GCC) on
Unix and Cygwin, and MS Visual C++ 6.0. lib3ds loads and saves Atmosphere
settings, Background settings, Shadow map settings, Viewport setting,
Materials, Cameras, Lights, Meshes, Hierarchy, Animation keyframes. It also
contains useful matrix, vector and quaternion mathematics tools. lib3ds
usually integrates well with OpenGL. In addition, some diagnostic and
conversion tools are included.

%package        tools
Summary:        %summary
Group:          Applications/Multimedia

%description    tools
Some tools to process 3ds files.

%files          tools
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/3dsdump
%{_bindir}/3ds2m
%{_mandir}/man1/3dsdump.1*
%{_mandir}/man1/3ds2m.1*

%package        devel
Summary:        %summary
Group:          Development/Libraries
Provides:	lib3ds-static = %{version}-%{release}

%description    devel
Development files for lib3ds

%prep
%setup -q
%patch -p1 -P 0
%patch -p2 -P 1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/lib3ds-config
%{_libdir}/*.a
%{_mandir}/man1/lib3ds-config.1*
%{_includedir}/lib3ds
%{_datadir}/aclocal/*

%changelog
* Sat Aug 18 2007 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-11
- Update license tag.

* Wed Nov 14 2006 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-10
- Add Provides: *-static.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-9
- Mass rebuild.

* Tue Sep 05 2006 Ralf Corsépius <rc040203@freenet.de> - 1.2.0-8
- Mass rebuild.

* Thu Feb 28 2006 Ralf Corsepius <rc040203@freenet.de> - 1.2.0-7
- Rebuild.

* Thu Jan 05 2006 Ralf Corsepius <rc040203@freenet.de> - 1.2.0-6
- PR 176665: Apply upstream patch.
- Add %%dist.

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.2.0-5
- rebuild on all arches

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon Aug 09 2004 Ralf Corsepius <ralf[AT]links2linux.de> - 0:1.2.0-0.fdr.3
- Fix m4-underquoting in lib3d.m4.

* Thu Jul 14 2004 Ralf Corsepius <ralf[AT]links2linux.de> - 0:1.2.0-0.fdr.2
- Split out tools into separate subpackage "tools".
- Fix description's formating.

* Thu Jul 08 2004 Ralf Corsepius <ralf[AT]links2linux.de> - 0:1.2.0-0.fdr.1
- Initial RPM release.
